Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface HistoryLogIterator

All Superinterfaces:
  java.util.Iterator<HistoryLogEntry>

    public interface HistoryLogIterator

extends java.util.Iterator<HistoryLogEntry>

`HistoryLogIterator` iterates over `HistoryLogEntry` objects.

All objects returned by the `next()` method are of type `HistoryLogEntry`. Note. This iterator does NOT support the `remove()` operation.

Method Summary
`boolean` | `hasNext()` Returns `true` if the iteration has more elements.
`HistoryLogEntry` | `next()` Returns the next element in the iteration.
`HistoryLogEntry` | `nextLogEntry()` Deprecated. use `next()` instead
`void` | `remove()` This method is not implemented.

Method Detail

### hasNext

    boolean hasNext()

  Returns `true` if the iteration has more elements. (In other words, returns `true` if `next()` would return an element rather than throwing an exception.)

  Specified by:
    `hasNext` in interface `java.util.Iterator<HistoryLogEntry>`
  Returns:
    `true` if the iterator has more elements; `false` otherwise

### next

    HistoryLogEntry next()

  Returns the next element in the iteration. All objects returned from this iterator will be instances of `HistoryLogEntry`.

  The common practice is to cast the object returned by `next()` to a `HistoryLogEntry`.

  The `hasNext()` method should be called first to ensure there is a next element in the iteration, otherwise an exception may be thrown.

  Specified by:
    `next` in interface `java.util.Iterator<HistoryLogEntry>`
  Returns:
    the next element in the iteration.
  Throws:
    `java.util.NoSuchElementException` - if the iteration has no more elements.

### nextLogEntry

    @Deprecated
    HistoryLogEntry nextLogEntry()

  Deprecated. use `next()` instead

  Returns the next `HistoryLogEntry` in the interation.

  The `hasNext()` method should be called first to ensure there is a next element in the iteration, otherwise an exception may be thrown.

  Returns:
    the next `HistoryLogEntry` in the iteration.
  Throws:
    `java.util.NoSuchElementException` - if the iteration has no more elements.

### remove

    void remove()

  This method is not implemented. Each call will result in an `UnsupportedOperationException` being thrown.

  Specified by:
    `remove` in interface `java.util.Iterator<HistoryLogEntry>`
  Throws:
    `java.lang.UnsupportedOperationException` - each time the method is called

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD